Skip to main content
POST
/
api
/
v1
/
memories
/
{memory_id}
/
replace
Replace Memory
curl --request POST \
  --url https://api.example.com/api/v1/memories/{memory_id}/replace \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "memory": "<string>",
  "user_id": "<string>",
  "topics": [
    "<string>"
  ],
  "metadata": {}
}
'
import requests

url = "https://api.example.com/api/v1/memories/{memory_id}/replace"

payload = {
"memory": "<string>",
"user_id": "<string>",
"topics": ["<string>"],
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({memory: '<string>', user_id: '<string>', topics: ['<string>'], metadata: {}})
};

fetch('https://api.example.com/api/v1/memories/{memory_id}/replace', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "memory_id": "<string>",
  "message": "<string>",
  "old_memory": {
    "memory_id": "<string>",
    "user_id": "<string>",
    "memory": "<string>",
    "topics": [
      "<string>"
    ],
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "metadata": {}
  },
  "new_memory": {
    "memory_id": "<string>",
    "user_id": "<string>",
    "memory": "<string>",
    "topics": [
      "<string>"
    ],
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "metadata": {}
  }
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Workspace-Id
string | null

The workspace ID

Path Parameters

memory_id
string
required

Body

application/json

Schema for replacing a memory.

memory
string
required

The new memory content to replace the existing one.

user_id
string | null

The user ID who owns the memory.

topics
string[] | null

New topics for the memory.

metadata
Metadata · object | null

New metadata for the memory.

Response

Successful Response

Schema for memory replacement response.

memory_id
string
required

ID of the replaced memory.

message
string
required

Success message.

old_memory
MemoryResponse · object
required

The old memory details.

new_memory
MemoryResponse · object
required

The new memory details.